<template>
  <div
    :class="{
      'fixed w-full h-full bg-primary left-0 z-10': true,
      'duration-300': true,
      '-top-full': !show,
      'top-0': show,
    }"
  >
    <slot />
    <div class="container relative mx-auto">
      <button
        class="w-10 h-10 absolute right-1 top-7 transform rotate-45 -translate-y-2/4 text-5xl focus:outline-none"
        @click="closeDrawer"
      >
        <span class="text-white">
          +
        </span>
      </button>
    </div>
  </div>
</template>

<script>
  export default {
    props: {
      show: {
        type: Boolean,
        default: false
      },
    },
    emits: ['update:show'],
    methods: {
      closeDrawer() {
        this.$emit('update:show', false)
      }
    }
  }
</script>

<style>

</style>